##### Predefinitions #####
%define name		njam
%define version		1.25
%define release		%mkrel 2
%define major		0
%define libname		%mklibname %{name} %major
%define libnamedev	%mklibname %{name} -d


##### Header #####
Summary:	The most addictive free pacman game
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}-src.tar.bz2
License:	GPL
Group:		Games/Arcade
URL:		http://njam.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	SDL_image-devel SDL_mixer-devel SDL_net-devel SDL-devel


##### Description #####
%description
Njam is a full-featured cross-platform pac-man like game written in C++ using
SDL library

Features
    * Single and multiplayer mode (local or via network)
    * Duel mode (players compete against each other to get more points)
    * Cooperative mode (players try to finish as many levels as they can)
    * Great music and sound effects
    * Ported to many operating systems including Windows and Linux
    * Customizable level skins
    * Many different levels
    * Integrated level editor to add your own levels
    * Open Source (GPL Licence)



##### Prep, Build & Install #####
%prep
%setup -q -n %{name}-%{version}-src

%build
%configure

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# add menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Icon=%{name}
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

##### Clean #####
%clean
rm -rf %{buildroot}

##### Files #####
%files
%defattr(-,root,root,0755)
%{_bindir}/njam
%{_datadir}/njam
%{_datadir}/applications/%{name}.desktop


##### Changelog #####
%changelog
* Thu Mar 19 2009 Oliver Burger <rpm@mandrivauser.de> 1.25-2mud2009.0
- added menu entry

* Wed Feb 25 2009 Oliver Burger <rpm@mandrivauser.de> 1.25-1mud2009.0
- initial package for Mandriva Linux
